YPSERV(8) | System Manager's Manual | YPSERV(8)

# NAME

`ypserv` —
NIS server daemon

# SYNOPSIS

`ypserv` | [`-dfl`] [`-p` port]

# DESCRIPTION

`ypserv` is a fundamental part of the network information system called NIS. This server provides information from NIS maps to the NIS clients on the network.

A NIS map is stored on the server as a db(3) database. A number of NIS maps is grouped together in a domain. `ypserv` determines the domains it serves by looking for a directory with the domain name in /var/yp.

In an effort to improve the security of NIS (which has, historically, not been very good), this `ypserv` has support for libwrap-based access control. See hosts_access(5) for more information. The daemon used for access control is the name which `ypserv` was invoked as (typically “ypserv”). If a host is not allowed to query this NIS server, `ypserv` will return the NIS result code YP_NODOM. To avoid problems with DNS lookups causing `ypserv` to hang, `ypserv` disables DNS lookups for its client hosts_access(5) lists. The result is that `ypserv` can only use address based patterns. This also means that wildcard patterns such as LOCAL or KNOWN will not work.

The process pid of the `ypserv` process can be found in the file /var/run/ypserv.pid.

The options are as follows:

`-d`
  Use internet Domain Name System. If a query to map hosts.byname or hosts.byaddr fails, make a DNS query and return the result if successful.
`-f`
  Run in the foreground.
`-l`
  Enable logging of all requests.
`-p` port
  Bind to the specified port instead of dynamically allocating one.

All messages are sent to the system log with the facility `LOG_DAEMON`. Error messages have the priority `LOG_ERR`. Refused requests are logged with the priority `LOG_WARNING`. All other messages are logged with the priority `LOG_INFO`.

# FILES

/var/run/ypserv.pid

# SEE ALSO

syslog(3), hosts_access(5), nis(8), syslogd(8), ypbind(8), ypinit(8)

# AUTHORS

This implementation of `ypserv` was originally written by Mats O Jansson ⟨moj@stacken.kth.se⟩. The access control code was later re-written from scratch by
Jason R. Thorpe ⟨thorpej@NetBSD.org⟩.

May 20, 2006 | NetBSD 9.4